summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2017-09-02 12:11:45 +0200
committerPatrice Clement <monsieurp@gentoo.org>2017-09-02 12:12:03 +0200
commit99b5d36bcdc37ba39dbead5f0ad24ba88849cf0b (patch)
treea825a3cd3dba6bef0d0694ec08df2a46a564b994 /app-vim
parentapp-misc/tracker: version bump 1.12.2 → 1.12.3, bug #629504 (diff)
downloadgentoo-99b5d36bcdc37ba39dbead5f0ad24ba88849cf0b.tar.gz
gentoo-99b5d36bcdc37ba39dbead5f0ad24ba88849cf0b.tar.bz2
gentoo-99b5d36bcdc37ba39dbead5f0ad24ba88849cf0b.zip
app-vim/python-mode: convert back to python-single-r1.
Package-Manager: Portage-2.3.6, Repoman-2.3.1
Diffstat (limited to 'app-vim')
-rw-r--r--app-vim/python-mode/python-mode-0.9.0-r1.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/app-vim/python-mode/python-mode-0.9.0-r1.ebuild b/app-vim/python-mode/python-mode-0.9.0-r1.ebuild
new file mode 100644
index 00000000000..b17c1530666
--- /dev/null
+++ b/app-vim/python-mode/python-mode-0.9.0-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+VIM_PLUGIN_MESSAGES="filetype"
+VIM_PLUGIN_HELPFILES="PythonModeCommands"
+VIM_PLUGIN_HELPURI="https://github.com/klen/python-mode"
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit vim-plugin python-single-r1
+
+DESCRIPTION="Provide python code looking for bugs, refactoring and other useful things"
+HOMEPAGE="http://www.vim.org/scripts/script.php?script_id=3770 https://github.com/klen/python-mode"
+SRC_URI="https://github.com/klen/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+KEYWORDS="~amd64 ~x86"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ dev-python/rope[${PYTHON_USEDEP}]
+ dev-python/astng[${PYTHON_USEDEP}]
+ dev-python/pylint[${PYTHON_USEDEP}]
+ dev-python/pyflakes[${PYTHON_USEDEP}]
+ dev-python/autopep8[${PYTHON_USEDEP}]
+ dev-python/ropemode[${PYTHON_USEDEP}]"
+
+RESTRICT="test"
+
+src_prepare() {
+ default
+
+ sed -e "s|expand(\"<sfile>:p:h:h\")|\"${EPREFIX}/usr/share/${PN}\"|" \
+ -i autoload/pymode.vim || die # use custom path
+}
+
+src_install() {
+ vim-plugin_src_install
+ insinto "usr/share/${PN}"
+}
+
+pkg_postinst() {
+ vim-plugin_pkg_postinst
+}